StaticTypesUnaryExpressionHelper (Groovy 4.0.15)
Description: declaration: package: org.codehaus.groovy.classgen.asm.sc, class: StaticTypesUnaryExpressionHelper

Package org.codehaus.groovy.classgen.asm.sc

# Class StaticTypesUnaryExpressionHelper

java.lang.Object
org.codehaus.groovy.classgen.asm.UnaryExpressionHelper
org.codehaus.groovy.classgen.asm.sc.StaticTypesUnaryExpressionHelper

public class StaticTypesUnaryExpressionHelper extends UnaryExpressionHelper
An expression helper which generates optimized bytecode depending on the current type on top of the operand stack.

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.classgen.asm.UnaryExpressionHelper

  `controller`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StaticTypesUnaryExpressionHelper(WriterController controller)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `writeBitwiseNegate(BitwiseNegationExpression expression)`
  `void`
  `writeNotExpression(NotExpression expression)`
  `void`
  `writeUnaryMinus(UnaryMinusExpression expression)`
  `void`
  `writeUnaryPlus(UnaryPlusExpression expression)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StaticTypesUnaryExpressionHelper

    public StaticTypesUnaryExpressionHelper(WriterController controller)

- ## Method Details

  - ### writeBitwiseNegate

    public void writeBitwiseNegate(BitwiseNegationExpression expression)
    Overrides:
      `writeBitwiseNegate` in class `UnaryExpressionHelper`

  - ### writeNotExpression

    public void writeNotExpression(NotExpression expression)
    Overrides:
      `writeNotExpression` in class `UnaryExpressionHelper`

  - ### writeUnaryMinus

    public void writeUnaryMinus(UnaryMinusExpression expression)
    Overrides:
      `writeUnaryMinus` in class `UnaryExpressionHelper`

  - ### writeUnaryPlus

    public void writeUnaryPlus(UnaryPlusExpression expression)
    Overrides:
      `writeUnaryPlus` in class `UnaryExpressionHelper`